package org.fictus

object Types {
    def defaultValue[A](clazz: Class[A]) =
        if (clazz == classOf[Unit]) null // NB In java, functions that return void actually return null :D
        else if (clazz == classOf[String]) "default-string"
        else if (clazz == classOf[Boolean]) java.lang.Boolean.FALSE
        else if (clazz == classOf[Byte]) java.lang.Byte.valueOf("0")
        else if (clazz == classOf[Short]) java.lang.Short.valueOf("0")
        else if (clazz == classOf[Char]) java.lang.Character.valueOf('0')
        else if (clazz == classOf[Int]) java.lang.Integer.valueOf("0")
        else if (clazz == classOf[Long]) java.lang.Long.valueOf("0")
        else if (clazz == classOf[Float]) java.lang.Float.valueOf("0")
        else if (clazz == classOf[Double]) java.lang.Double.valueOf("0")
        else null
}